import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson("/oil-refinery/oilRefineryProduct/getByPage", params);
};
// 新增
const save = (params) => {
  return request.postJson("/oil-refinery/oilRefineryProduct/save", params);
};
// 修改
const update = (params) => {
  return request.postJson("/oil-refinery/oilRefineryProduct/update", params);
};
// 调价记录table
const getByPageRecord = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryPriceChangelog/getByPage",
    params
  );
};
// 批量修改
const updateBatchEnable = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryProduct/updateBatchEnable",
    params
  );
};
// 调价
const modifyPrice = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryProduct/modifyPrice",
    params
  );
};
// 搜索客户
const getRefineryCompanyList = (params) => {
  return request.postJson("/oil-user/oilCompanyInfo/getLikeByCompanyType", params);
};
// 下单
const orderSave = (params) => {
  return request.postJson(
    "/oil-refinery/xoilRefineryOrder/save",
    params
  );
};
//查看企业产品
const getRefineryProductList = (params) => {
  return request.postJson(
    "/oil-refinery/oilRefineryProduct/getRefineryProductList",
    params
  );
};
//查看炼厂信息
const findByEntity = (params) => {
  return request.postJson(
    "/oil-refinery/xoilRefineryInfo/findByEntity",
    params
  );
};

export default {
  getByPage,
  save,
  update,
  getByPageRecord,
  updateBatchEnable,
  modifyPrice,
  getRefineryCompanyList,
  orderSave,
  getRefineryProductList,
  findByEntity
};
