import request from "utils/axios.js";
// 远程搜索公司
const getRefineryCompanyList = (params) => {
  return request.postJson(
    "/oil-user/oilCompanyInfo/getRefineryCompanyList",
    params
  );
};
// 远程总公司
const getCompanyNames = (query) => {
  return request.get(`oil-user/oilCompanyInfo/getCompanyNames/${query}`);
};
// 远程搜索用户
const liekQuery = (query) => {
  return request.get(`oil-user/sysCustomerInfo/liekQuery/${query}`);
};
// 用户详情
const getInfo = (id) => {
  return request.get(`/oil-user/oilCompanyInfo/get/${id}`);
};
//公司财务信息
const getByCompanyIdFinance = (query) => {
  return request.get(`/oil-user/oilCompanyFinance/getByCompanyId/${query}`);
};
// 公司认证信息
const getByCompanyIdAuth = (id) => {
  return request.get(`/oil-user/oilCompanyAuth/getByCompanyId/${id}`);
};
//公司账户信息
const getByCompanyIdAccount = (query) => {
  return request.get(`/oil-finance/oilCompanyAccount/getByCompanyId/${query}`);
};
// 银行信息
const getByCompanyIdBankCard = (id) => {
  return request.get(`/oil-finance/oilCompanyBankCard/getByCompanyId/${id}`);
};
export default {
  getRefineryCompanyList,
  getCompanyNames,
  liekQuery,
  getInfo,
  getByCompanyIdAccount,
  getByCompanyIdAuth,
  getByCompanyIdFinance,
  getByCompanyIdBankCard,
};
