import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson("/oil-user/oilCompanyInfo/getByPage", params);
};

//详情
const getCompanyAccountRecord = (params) => {
  return request.postJson(
    "oil-finance/oilCompanyAccountRecord/getCompanyAccountRecord",
    params
  );
};
//保存
const save = (params) => {
  return request.postJson("/oil-user/oilCompanyInfo/save", params);
};
//修改
const update = (params) => {
  return request.postPut("oil-user/oilCompanyInfo/update", params);
};
//认证信息保存
const saveAttestation = (params) => {
  return request.postJson("/oil-user/oilCompanyAuth/save", params);
};
//认证信息修改
const updateAttestation = (params) => {
  return request.postPut("oil-user/oilCompanyAuth/update", params);
};
//银行信息保存/修改
const saveBank = (params) => {
  return request.postJson(
    "/oil-finance/oilCompanyBankCard/saveBatchCompanyRelationBank",
    params
  );
};
// //银行信息修改
// const updateBank = (params) => {
//   return request.postPut("oil-user/oilCompanyAuth/update", params);
// };
//财务信息保存
const saveFinance = (params) => {
  return request.postJson("/oil-user/oilCompanyFinance/save", params);
};
//财务信息修改
const updateFinance = (params) => {
  return request.postPut("oil-user/oilCompanyFinance/update", params);
};
//企业负责人 远程搜索
const liekQuery = (query) => {
  return request.get(`/oil-user/sysCustomerInfo/liekQuery/${query}`);
};
// 开户行名称 远程搜索
const findAllByName = (query) => {
  return request.get(`/oil-site/sysSheet/findAllByName?name=${query}`);
};
// 级联
const getTree = () => {
  return request.get("/oil-dict/areaCode/getTree");
};
export default {
  getByPage,
  getCompanyAccountRecord,
  update,
  liekQuery,
  findAllByName,
  save,
  getTree,
  saveAttestation,
  updateAttestation,
  saveBank,
  // updateBank,
  saveFinance,
  updateFinance,
  // getInfo,
};
