import request from "utils/axios.js";
// table
const getByPage = (params) => {
  return request.postJson(
    "/oil-finance/oilCompanyAccountReverse/getByPage",
    params
  );
};
//详情
const get = (query) => {
  return request.get(`/oil-finance/oilCompanyAccountReverse/get/${query}`);
};

//公司财务详情
const getByCompanyId = (query) => {
  return request.get(`/oil-user/oilCompanyFinance/getByCompanyId/${query}`);
};
// 新增
const save = (params) => {
  return request.postJson("/oil-finance/oilCompanyAccountReverse/save", params);
};
// 修改
const update = (params) => {
  return request.postPut(
    "/oil-finance/oilCompanyAccountReverse/update",
    params
  );
};
// 级联
const getCascaderList = () => {
  return request.get("/oil-finance/internalCompany/getCascaderList");
};
// 审核
const audit = (params) => {
  return request.postJson(
    "/oil-finance/oilCompanyAccountReverse/refinery/audit",
    params
  );
};

//公司 远程搜索
// const getLikeByNameSuccess = (params) => {
//   return request.postJson(
//     "/oil-user/oilCompanyInfo/getLikeByNameSuccess",
//     params
//   );
// };

export default {
  getByPage,
  get,
  getByCompanyId,
  save,
  update,
  getCascaderList,
  audit,
  // getLikeByNameSuccess,
};
