import Vue from "vue";
import Clipboard from "clipboard";

export default function (event) {
  const clipboard = new Clipboard(event.target);
  clipboard.on("success", () => {
    Vue.prototype.$message.success("复制成功");
    clipboard.destroy();
  });
  clipboard.on("error", () => {
    Vue.prototype.$message.error("复制失败");
    clipboard.destroy();
  });
  clipboard.onClick(event);
}
